        IF VCS_I != 1
VCS_I EQU 1
;==========================
; Equates for TIA Registers
;==========================
;----------------------
; Write Address Summary
;----------------------
VSYNC   EQU     $00                        ; Vertical sync set-clear
VBLANK  EQU     $01                        ; Vertical blank set-clear
WSYNC   EQU     $02                        ; Wait for leading edge of horizontal blank
RSYNC   EQU     $03                        ; Reset horizontal sync counter
NUSIZ0  EQU     $04                        ; Number size Player Missile 0
NUSIZ1  EQU     $05                        ; Number size Player Missile 1
COLUP0  EQU     $06                        ; Color-lum Player 0
COLUP1  EQU     $07                        ; Color-lum Player 1
COLUPF  EQU     $08                        ; Color-lum playfield
COLUBK  EQU     $09                        ; Color-lum background
CTRLPF  EQU     $0A                        ; Ctrol playfield ball size & collisions
REFP0   EQU     $0B                        ; Reflect player #0
REFP1   EQU     $0C                        ; Reflect player #1
PF0     EQU     $0D                        ; First 4 bits of playfield
PF1     EQU     $0E                        ; Middle 8 bits of playfield
PF2     EQU     $0F                        ; Last 8 bits of playfield
RESP0   EQU     $10                        ; Reset player #0 X coord
RESP1   EQU     $11                        ; Reset player #1 X coord
RESM0   EQU     $12                        ; Reset missile #0 X coord
RESM1   EQU     $13                        ; Reset missile #1 X coord
RESBL   EQU     $14                        ; Reset ball
AUDC0   EQU     $15                        ; Audio control 0
AUDC1   EQU     $16                        ; Audio control 1
AUDF0   EQU     $17                        ; Audio frequency 0
AUDF1   EQU     $18                        ; Audio frequency 1
AUDV0   EQU     $19                        ; Audio volume 0
AUDV1   EQU     $1A                        ; Audio volume 1
GRP0    EQU     $1B                        ; Pixel data player #0
GRP1    EQU     $1C                        ; Pixel data player #1
ENAM0   EQU     $1D                        ; Missile 0 enable register
ENAM1   EQU     $1E                        ; Missile 1 enable register
ENABL   EQU     $1F                        ; Ball enable register
HMP0    EQU     $20                        ; Horizontal motion Player #0
HMP1    EQU     $21                        ; Horizontal motion Player #1
HMBL    EQU     $24                        ; Horizontal motion Ball
VDELP0  EQU     $25
VDELP1  EQU     $26
RESMP0  EQU     $28
RESMP1  EQU     $29
HMOVE   EQU     $2A                        ; Add horizontal motion to registers
HMCLR   EQU     $2B                        ; Clear horizontal motion registers
CXCLR   EQU     $2C                        ; Clear collision registers

;---------------------
; Read Address Summary
;---------------------

CXM0P   EQU     $00                        ; Read collision M0-P1/M0-P0
CXM1P   EQU     $01                        ; Read collision M1-P0/M1-P1
CXP0FB  EQU     $02                        ; Read collision P0-PF/P0-BL
CXP1FB  EQU     $03                        ; Read collision P1-PF/P1-BL
CXM0FB  EQU     $04                        ; Read collision M0-PF/M0-BL
CXM1FB  EQU     $05                        ; Read collision M1-PF/M1-BL
CXBLPF  EQU     $06                        ; Read collision BL-PF/-----
CXPPMM  EQU     $07                        ; Read collision P0-P1/M0-M1
INPT0   EQU     $08                        ; Paddle #0
INPT1   EQU     $09                        ; Paddle #1
INPT2   EQU     $0A                        ; Paddle #2
INPT3   EQU     $0B                        ; Paddle #3
INPT4   EQU     $0C                        ; Misc input #0
INPT5   EQU     $0D                        ; Misc input #1

;======================
; Equates for PIA Ports
;======================
SWCHA   EQU     $280
SWACNT  EQU     $281
SWCHB   EQU     $282
SWBCNT  EQU     $283
INTIM   EQU     $284
TIM1T   EQU     $294
TIM8T   EQU     $295
TIM64T  EQU     $296
T1024T  EQU     $297

         ENDIF












